<!--
  -    Copyright 2014-2023 IHE International
  -
  -    Licensed under the Apache License, Version 2.0 (the "License");
  -    you may not use this file except in compliance with the License.
  -    You may obtain a copy of the License at
  -
  -        http://www.apache.org/licenses/LICENSE-2.0
  -
  -    Unless required by applicable law or agreed to in writing, software
  -    distributed under the License is distributed on an "AS IS" BASIS,
  -    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  -    See the License for the specific language governing permissions and
  -    limitations under the License.
  -->

<ui:composition xmlns:f="http://java.sun.com/jsf/core" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:gdk="http://www.ihe.net/gazellecdk" xmlns:c="http://java.sun.com/jsp/jstl/core"
                xmlns:a4j="http://richfaces.org/a4j" xmlns:rich="http://richfaces.org/rich"
                xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:g="http://www.ihe.net/gazelle"
                xmlns:h="http://java.sun.com/jsf/html" xmlns="http://www.w3.org/1999/xhtml">
    <h:panelGroup rendered="#{instructionManager.displayInboundNetworkCommunications}">
        <div role="tabpanel" class="tab-pane active" id="inboundTab">

            <h:form id="inboundsForm">
                <a4j:queue requestDelay="300" ignoreDupResponses="true"/>

                <ui:include src="#{instructionFile}">
                    <ui:param name="instructionToDisplay" value="#{managedBean.inboundNetworkCommunicationsInstructions}"/>
                </ui:include>

                <ui:decorate template="/layout/panels/_panel_filter_criteria.xhtml">
                    <div class="form-horizontal">
                        <div class="row">
                            <div class="col-md-6">
                                <ui:include src="/filter/filter.xhtml">
                                    <ui:param name="filter" value="#{managedBean.inboundFilter}"/>
                                    <ui:param name="filterId" value="actorinbound"/>
                                    <ui:param name="filterName"
                                              value="#{messages['net.ihe.gazelle.questionnaire.Actor']}"/>
                                    <ui:param name="filterForm" value="inboundsForm"/>
                                </ui:include>
                                <ui:include src="/filter/filter.xhtml">
                                    <ui:param name="filter" value="#{managedBean.inboundFilter}"/>
                                    <ui:param name="filterId" value="typeinbound"/>
                                    <ui:param name="filterName"
                                              value="#{messages['net.ihe.gazelle.questionnaire.Type']}"/>
                                    <ui:param name="filterForm" value="inboundsForm"/>
                                </ui:include>
                            </div>
                            <div class="col-md-6">
                                <ui:include src="/filter/filter.xhtml">
                                    <ui:param name="filter" value="#{managedBean.inboundFilter}"/>
                                    <ui:param name="filterId" value="usageinbound"/>
                                    <ui:param name="filterName"
                                              value="#{messages['net.ihe.gazelle.questionnaire.Transaction']}"/>
                                    <ui:param name="filterForm" value="inboundsForm"/>
                                </ui:include>
                            </div>
                        </div>
                    </div>
                    <ui:define name="filter_buttons">
                        <a4j:commandLink title="#{messages['net.ihe.gazelle.atna.ResetCriteria']}"
                                         actionListener="#{managedBean.clearInboundFilter()}" render="inboundsForm">
                            <span class="fa fa-times-circle"></span>
                        </a4j:commandLink>
                    </ui:define>
                </ui:decorate>

                <h:panelGroup rendered="#{managedBean.inbounds.size() &gt; 0}">
                    <ui:decorate template="#{networkCommunicationsPage}">
                        <ui:param name="communications" value="#{managedBean.inbounds}"/>
                        <ui:define name="saveButton">
                            <a4j:commandButton action="#{managedBean.saveInbounds()}"
                                               value="#{messages['net.ihe.gazelle.questionnaire.Save']}"
                                               rendered="#{displaySaveButton}" styleClass="gzl-btn-blue btn-xs"
                                               render="communicationsTable,questDetails,gazelle-messages"/>
                        </ui:define>
                    </ui:decorate>

                    <a4j:commandButton action="#{managedBean.saveInbounds()}" rendered="#{displaySaveButton}"
                                       styleClass="gzl-btn-blue"
                                       value="#{messages['net.ihe.gazelle.questionnaire.SaveInboundNetworkCommunications']}"
                                       render="inboundsForm,questDetails,gazelle-messages"/>
                </h:panelGroup>
                <s:div rendered="#{managedBean.inbounds.size()==0}"
                       styleClass="gzl-alert gzl-alert-blue">
                    <span class="fa fa-info"></span>
                    <h:outputText
                            value="#{messages['net.ihe.gazelle.questionnaire.NoneOfTheActorsDeclaredForThisSystemAreRequested_2']}"/>
                </s:div>
            </h:form>
        </div>
    </h:panelGroup>
</ui:composition>
